﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class MasterPage : System.Web.UI.MasterPage
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    protected void WebExplorerBar1_ItemSelected(object sender, Infragistics.Web.UI.NavigationControls.ExplorerBarItemSelectedEventArgs e)
    {

        if (e.IsExplorerBarGroup() != true)
        {
           Session["SelectedGroup"] = e.NewSelectedItem.ParentItem.Index;
           Session["SelectedIndex"] = e.NewSelectedItem.Index;
        }

        int cnt = WebExplorerBar1.Groups.Count;
        string redirectURL = e.NewSelectedItem.Value.ToString();

        bool[] state = new bool[cnt];

        for (int i = 0; i < cnt; i++)
        {
            state[i] = WebExplorerBar1.Groups[i].Expanded;
        }

        Session["WebExplorerState"] = state;
        if (redirectURL != "")
            Response.Redirect(redirectURL);
       
    }
    protected void WebExplorerBar1_PreRender(object sender, EventArgs e)
    {
        
        bool[] state = (bool[])(Session["WebExplorerState"]);

        if (state != null)
        {
            for (int i = 0; i < WebExplorerBar1.Groups.Count; i++)
            {
                WebExplorerBar1.Groups[i].Expanded = state[i];
            }
        }

        if (Session["SelectedIndex"] != null)
        {
            int selIndex = (int)Session["SelectedIndex"];
            int selGroup = (int)Session["SelectedGroup"];
            WebExplorerBar1.Groups[selGroup].Items[selIndex].Selected = true;
        }

    }
}
